
Name:       perl-Tie-ToObject 
Version:    0.03 
Release:        2%{?dist}
License:    GPL+ or Artistic 
Group:      Development/Libraries
Summary:    Tie to an existing object 
Source:     http://search.cpan.org/CPAN/authors/id/N/NU/NUFFIN/Tie-ToObject-%{version}.tar.gz 
Url:        http://search.cpan.org/dist/Tie-ToObject
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
# tests
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::use::ok)
BuildRequires: perl(Tie::RefHash)


%description
While the perldoc/tie manpage allows tying to an arbitrary object, the
class in question must support this in it's implementation of 'TIEHASH',
'TIEARRAY' or whatever.

This class provides a very tie constructor that simply returns the object
it was given as it's first argument.

This way side effects of calling '$object->TIEHASH' are avoided.

%prep
%setup -q -n Tie-ToObject-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root,-)
%doc t/  
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Mon Sep 08 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.03-2
- bump

* Sat Sep 06 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.03-1
- initial Fedora packaging
- generated with cpan2dist (CPANPLUS::Dist::Fedora version 0.0.1)
